@echo off

IF NOT EXIST %1 GOTO ERROR

:: Get the output names, trying to use [space], _, and - if the original filename uses them
set NAME=%~n1
set OUT=%~n1%%3d.png
IF "%NAME: =%" NEQ "%NAME%" set OUT=%~n1 %%3d.png
IF "%NAME:_=%" NEQ "%NAME%" set OUT=%~n1_%%3d.png
IF "%NAME:-=%" NEQ "%NAME%" set OUT=%~n1-%%3d.png

:: Get the input filename
set IN=%~f1

:: Make sure we are in the folder with FFMPEG
cd /d %~dp0

:: Run FFMPEG
echo Extracting frames from "%IN%" to "%OUT%"
ffmpeg -i "%IN%" -r 15 -s 200x200 -vframes 105 -pix_fmt rgb24 "%OUT%"

:: End, display errors if needed
IF %ERRORLEVEL% NEQ 0 (
	echo FFMPEG failed!
	pause
)
GOTO END

:ERROR
echo You must specify a video file on the command line.

:END
